Subject: Re: r8169 native module problems on 2.6.11 [SOLVED]

From: TommyDrum <[email-masked]>
Date: Mon, 11 Apr 2005 02:26:49 +0200

O/H Francois Romieu έγραψε:

| Ok, new pci id, no wonder it does not work. Can you give the attached
patch
| a quick but carefull test on your vanilla kernel ?

Wasn't too quick, sorry, had to supper (very long, I admit it!). It's
modprobed very quick (much faster than the USR provided module) and
works pretty good up 'til now; dmesg is clean, lspci also, and cat
/proc/interrupts doesn't show any conflicts. ifconfig also seems to be
in line, and the interface is up and running smoothly.
IMO all is quiet on this front ;)

I forwarded last message to netdev, also do it with this one.

Keep up the good work Francois, and thanks really a lot!

A presto!
Tommy

P.S. Any other info needed, I'll be glad to provide.

| ------------------------------------------------------------------------
|
| --- a/drivers/net/r8169.c	2005-04-10 18:45:05.200274476 +0200
| +++ b/drivers/net/r8169.c	2005-04-10 18:52:41.197933777 +0200
| @@ -176,6 +176,7 @@ const static struct {
|  static struct pci_device_id rtl8169_pci_tbl[] = {
|  	{0x10ec, 0x8169, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0},
|  	{0x1186, 0x4300, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0},
| +	{0x16ec, 0x0116, PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0},
|  	{0,},
|  };
|